#include <vcl.h>
#pragma hdrstop
#include "tedi_main.h"
#include "tedi_find.h"
#include "tedi_searching.h"
//==============================================================================
void SearchingText()
{
 AnsiString FindText;
 FindText = dFindText->EditText->Text;
 //--------------------------------------------------------------
 AnsiString PanelText = "(Empty)";
 if(!FindText.IsEmpty()) PanelText = FindText;
 Form1->StatusBar1->Panels->Items[5]->Text = "Find text: " +
                                             PanelText;
 //--------------------------------------------------------------
 int Start = Form1->RichEdit1->SelStart;
 if(Form1->RichEdit1->SelLength) Start += Form1->RichEdit1->SelLength;
 int End = Form1->RichEdit1->Text.Length() - Start;
 //--------------------------------------------------------------
 TSearchTypes Option; // stWholeWord, stMatchCase
 if(dFindText->WholeWords->Checked) Option << stWholeWord;
 else Option >> stWholeWord;
 //--------------------------------------------------------------
 if(dFindText->CaseSensitive->Checked) Option << stMatchCase;
 else Option >> stMatchCase;
 //--------------------------------------------------------------
 int FoundAt = Form1->RichEdit1->FindText(FindText, Start, End, Option);
 //--------------------------------------------------------------
 if(FoundAt!= -1)// Found
 {
  Form1->RichEdit1->SelStart = FoundAt;
  Form1->RichEdit1->SelLength = FindText.Length();
 }
 else
 {
  AnsiString msg;
  msg = "Search string '" + FindText + "' not found";
  Application->MessageBox(msg.c_str(), "Information",MB_OK);
 }
 //--------------------------------------------------------------
 Form1->RichEdit1->SetFocus();
 ::SendMessage(Form1->RichEdit1->Handle, EM_SCROLLCARET, 0, 0);
 //--------------------------------------------------------------
}
//==============================================================================




