//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "tedi_main.h"
#include "tedi_webcolors.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TdWebColors *dWebColors;
//---------------------------------------------------------------------------
__fastcall TdWebColors::TdWebColors(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::FormActivate(TObject *Sender)
{
 ButtonCancel->SetFocus();
}
//---------------------------------------------------------------------------
struct WEBCOLOR
{
 TColor color;
 char *name;
 char *value;
};
//---------------------------------------------------------------------------
WEBCOLOR webcolor[] = {
 {(TColor)RGB(0xF0,0xF8,0xFF),"aliceblue","#F0F8FF"},//1
 {(TColor)RGB(0xFA,0xEB,0xD7),"antiquewhite","#FAEBD7"},//2
 {(TColor)RGB(0x00,0xFF,0xFF),"aqua","#00FFFF"},//3
 {(TColor)RGB(0x7F,0xFF,0xD4),"aquamarine","#7FFFD4"},//4
 {(TColor)RGB(0xF0,0xFF,0xFF),"azure","#F0FFFF"},//5
 {(TColor)RGB(0xF5,0xF5,0xDC),"beige","#F5F5DC"},//6
 {(TColor)RGB(0xFF,0xE4,0xC4),"bisque","#FFE4C4"},//7
 {(TColor)RGB(0x00,0x00,0x00),"black","#000000"},//8
 {(TColor)RGB(0xFF,0xEB,0xCD),"blanchedalmond","#FFEBCD"},//9
 {(TColor)RGB(0x00,0x00,0xFF),"blue","#0000FF"},//10
 {(TColor)RGB(0x8A,0x2B,0xE2),"blueviolet","#8A2BE2"},//11
 {(TColor)RGB(0xA5,0x2A,0x2A),"brown","#A52A2A"},//12
 {(TColor)RGB(0xDE,0xB8,0x87),"burlywood","#DEB887"},//13
 {(TColor)RGB(0x5F,0x9E,0xA0),"cadetblue","#5F9EA0"},//14
 {(TColor)RGB(0x7F,0xFF,0x00),"chartreuse","#7FFF00"},//15
 {(TColor)RGB(0xD2,0x69,0x1E),"chocolate","#D2691E"},//16
 {(TColor)RGB(0xFF,0x7F,0x50),"coral","#FF7F50"},//17
 {(TColor)RGB(0x64,0x95,0xED),"cornflowerblue","#6495ED"},//18
 {(TColor)RGB(0xFF,0xF8,0xDC),"cornsilk","#FFF8DC"},//19
 {(TColor)RGB(0xDC,0x14,0x3C),"crimson","#DC143C"},//20
 {(TColor)RGB(0x00,0xFF,0xFF),"cyan","#00FFFF"},//21
 {(TColor)RGB(0x00,0x00,0x8B),"darkblue","#00008B"},//22
 {(TColor)RGB(0x00,0x8B,0x8B),"darkcyan","#008B8B"},//23
 {(TColor)RGB(0xB8,0x86,0x0B),"darkgoldenrod","#B8860B"},//24
 {(TColor)RGB(0xA9,0xA9,0xA9),"darkgray","#A9A9A9"},//25
 {(TColor)RGB(0x00,0x64,0x00),"darkgreen","#006400"},//26
 {(TColor)RGB(0xBD,0xB7,0x6B),"darkkhaki","#BDB76B"},//27
 {(TColor)RGB(0x8B,0x00,0x8B),"darkmagenta","#8B008B"},//28
 {(TColor)RGB(0x55,0x6B,0x2F),"darkolivegreen","#556B2F"},//29
 {(TColor)RGB(0xFF,0x8C,0x00),"darkorange","#FF8C00"},//30
 {(TColor)RGB(0x99,0x32,0xCC),"darkorchid","#9932CC"},//31
 {(TColor)RGB(0x8B,0x00,0x00),"darkred","#8B0000"},//32
 {(TColor)RGB(0xE9,0x96,0x7A),"darksalmon","#E9967A"},//33
 {(TColor)RGB(0x8F,0xBC,0x8F),"darkseagreen","#8FBC8F"},//34
 {(TColor)RGB(0x48,0x3D,0x8B),"darkslateblue","#483D8B"},//35
 {(TColor)RGB(0x2F,0x4F,0x4F),"darkslategray","#2F4F4F"},//36
 {(TColor)RGB(0x00,0x00,0x00),"darkslategrey","#000000"},//* 37
 {(TColor)RGB(0x00,0xCE,0xD1),"darkturquoise","#00CED1"},//38
 {(TColor)RGB(0x94,0x00,0xD3),"darkviolet","#9400D3"},//39
 {(TColor)RGB(0xFF,0x14,0x93),"deeppink","#FF1493"},//40
 {(TColor)RGB(0x00,0xBF,0xFF),"deepskyblue","#00BFFF"},//41
 {(TColor)RGB(0x69,0x69,0x69),"dimgray","#696969"},//42
 {(TColor)RGB(0x00,0x00,0x00),"dimgrey","#000000"},//* 43
 {(TColor)RGB(0x1E,0x90,0xFF),"dodgerblue","#1E90FF"},//44
 {(TColor)RGB(0xB2,0x22,0x22),"firebrick","#B22222"},//45
 {(TColor)RGB(0xFF,0xFA,0xF0),"floralwhite","#FFFAF0"},//46
 {(TColor)RGB(0x22,0x8B,0x22),"forestgreen","#228B22"},//47
 {(TColor)RGB(0xFF,0x00,0xFF),"fuchsia","#FF00FF"},//48
 {(TColor)RGB(0xDC,0xDC,0xDC),"gainsboro","#DCDCDC"},//49
 {(TColor)RGB(0xF8,0xF8,0xFF),"ghostwhite","#F8F8FF"},//50
 {(TColor)RGB(0xFF,0xD7,0x00),"gold","#FFD700"},//51
 {(TColor)RGB(0xDA,0xA5,0x20),"goldenrod","#DAA520"},//52
 {(TColor)RGB(0x80,0x80,0x80),"gray","#808080"},//53
 {(TColor)RGB(0x00,0x00,0x00),"grey","#000000"},//54
 {(TColor)RGB(0x00,0x80,0x00),"green","#008000"},//55
 {(TColor)RGB(0xAD,0xFF,0x2F),"greenyellow","#ADFF2F"},//56
 {(TColor)RGB(0xF0,0xFF,0xF0),"honeydew","#F0FFF0"},//57
 {(TColor)RGB(0xFF,0x69,0xB4),"hotpink","#FF69B4"},//58
 {(TColor)RGB(0xCD,0x5C,0x5C),"indianred","#CD5C5C"},//59
 {(TColor)RGB(0x4B,0x00,0x82),"indigo","#4B0082"},//60
 {(TColor)RGB(0xFF,0xFF,0xF0),"ivory","#FFFFF0"},//61
 {(TColor)RGB(0xF0,0xE6,0x8C),"khaki","#F0E68C"},//62
 {(TColor)RGB(0xE6,0xE6,0xFA),"lavender","#E6E6FA"},//63
 {(TColor)RGB(0xFF,0xF0,0xF5),"lavenderblush","#FFF0F5"},//64
 {(TColor)RGB(0x7C,0xFC,0x00),"lawngreen","#7CFC00"},//65
 {(TColor)RGB(0xFF,0xFA,0xCD),"lemonchiffon","#FFFACD"},//66
 {(TColor)RGB(0xAD,0xD8,0xE6),"lightblue","#ADD8E6"},//67
 {(TColor)RGB(0xF0,0x80,0x80),"lightcoral","#F08080"},//68
 {(TColor)RGB(0xE0,0xFF,0xFF),"lightcyan","#E0FFFF"},//69
 {(TColor)RGB(0xFA,0xFA,0xD2),"lightgoldenrodyellow","#FAFAD2"},//70
 {(TColor)RGB(0x90,0xEE,0x90),"lightgreen","#90EE90"},//71
 {(TColor)RGB(0x00,0x00,0x00),"lightgray","#000000"},//72
 {(TColor)RGB(0xD3,0xD3,0xD3),"lightgrey","#D3D3D3"},//73
 {(TColor)RGB(0xFF,0xB6,0xC1),"lightpink","#FFB6C1"},//74
 {(TColor)RGB(0xFF,0xA0,0x7A),"lightsalmon","#FFA07A"},//75
 {(TColor)RGB(0x20,0xB2,0xAA),"lightseagreen","#20B2AA"},//76
 {(TColor)RGB(0x87,0xCE,0xFA),"lightskyblue","#87CEFA"},//77
 {(TColor)RGB(0x77,0x88,0x99),"lightslategray","#778899"},//78
 {(TColor)RGB(0x00,0x00,0x00),"lightslategrey","#000000"},//79
 {(TColor)RGB(0xB0,0xC4,0xDE),"lightsteelblue","#B0C4DE"},//80
 {(TColor)RGB(0xFF,0xFF,0xE0),"lightyellow","#FFFFE0"},//81
 {(TColor)RGB(0x00,0xFF,0x00),"lime","#00FF00"},//82
 {(TColor)RGB(0x32,0xCD,0x32),"limegreen","#32CD32"},//83
 {(TColor)RGB(0xFA,0xF0,0xE6),"linen","#FAF0E6"},//84
 {(TColor)RGB(0xFF,0x00,0xFF),"magenta","#FF00FF"},//85
 {(TColor)RGB(0x80,0x00,0x00),"maroon","#800000"},//86
 {(TColor)RGB(0x66,0xCD,0xAA),"mediumaquamarine","#66CDAA"},//87
 {(TColor)RGB(0x00,0x00,0xCD),"mediumblue","#0000CD"},//88
 {(TColor)RGB(0xBA,0x55,0xD3),"mediumorchid","#BA55D3"},//89
 {(TColor)RGB(0x93,0x70,0xDB),"mediumpurple","#9370DB"},//90
 {(TColor)RGB(0x3C,0xB3,0x71),"mediumseagreen","#3CB371"},//91
 {(TColor)RGB(0x7B,0x68,0xEE),"mediumslateblue","#7B68EE"},//92
 {(TColor)RGB(0x00,0xFA,0x9A),"mediumspringgreen","#00FA9A"},//93
 {(TColor)RGB(0x48,0xD1,0xCC),"mediumturquoise","#48D1CC"},//94
 {(TColor)RGB(0xC7,0x15,0x85),"mediumvioletred","#C71585"},//95
 {(TColor)RGB(0x19,0x19,0x70),"midnightblue","#191970"},//96
 {(TColor)RGB(0xF5,0xFF,0xFA),"mintcream","#F5FFFA"},//97
 {(TColor)RGB(0xFF,0xE4,0xE1),"mistyrose","#FFE4E1"},//98
 {(TColor)RGB(0xFF,0xE4,0xB5),"moccasin","#FFE4B5"},//99
 {(TColor)RGB(0xFF,0xDE,0xAD),"navajowhite","#FFDEAD"},//100
 {(TColor)RGB(0x00,0x00,0x80),"navy","#000080"},//101
 {(TColor)RGB(0xFD,0xF5,0xE6),"oldlace","#FDF5E6"},//102
 {(TColor)RGB(0x80,0x80,0x00),"olive","#808000"},//103
 {(TColor)RGB(0x6B,0x8E,0x23),"olivedrab","#6B8E23"},//104
 {(TColor)RGB(0xFF,0xA5,0x00),"orange","#FFA500"},//105
 {(TColor)RGB(0xFF,0x45,0x00),"orangered","#FF4500"},//106
 {(TColor)RGB(0xDA,0x70,0xD6),"orchid","#DA70D6"},//107
 {(TColor)RGB(0xEE,0xE8,0xAA),"palegoldenrod","#EEE8AA"},//108
 {(TColor)RGB(0x98,0xFB,0x98),"palegreen","#98FB98"},//109
 {(TColor)RGB(0xAF,0xEE,0xEE),"paleturquoise","#AFEEEE"},//110
 {(TColor)RGB(0xDB,0x70,0x93),"palevioletred","#DB7093"},//111
 {(TColor)RGB(0xFF,0xEF,0xD5),"papayawhip","#FFEFD5"},//112
 {(TColor)RGB(0xFF,0xDA,0xB9),"peachpuff","#FFDAB9"},//113
 {(TColor)RGB(0xCD,0x85,0x3F),"peru","#CD853F"},//114
 {(TColor)RGB(0xFF,0xC0,0xCB),"pink","#FFC0CB"},//115
 {(TColor)RGB(0xDD,0xA0,0xDD),"plum","#DDA0DD"},//116
 {(TColor)RGB(0xB0,0xE0,0xE6),"powderblue","#B0E0E6"},//117
 {(TColor)RGB(0x80,0x00,0x80),"purple","#800080"},//118
 {(TColor)RGB(0xFF,0x00,0x00),"red","#FF0000"},//119
 {(TColor)RGB(0xBC,0x8F,0x8F),"rosybrown","#BC8F8F"},//120
 {(TColor)RGB(0x41,0x69,0xE1),"royalblue","#4169E1"},//121
 {(TColor)RGB(0x8B,0x45,0x13),"saddlebrown","#8B4513"},//122
 {(TColor)RGB(0xFA,0x80,0x72),"salmon","#FA8072"},//123
 {(TColor)RGB(0xF4,0xA4,0x60),"sandybrown","#F4A460"},//124
 {(TColor)RGB(0x2E,0x8B,0x57),"seagreen","#2E8B57"},//125
 {(TColor)RGB(0xFF,0xF5,0xEE),"seashell","#FFF5EE"},//126
 {(TColor)RGB(0xA0,0x52,0x2D),"sienna","#A0522D"},//127
 {(TColor)RGB(0xC0,0xC0,0xC0),"silver","#C0C0C0"},//128
 {(TColor)RGB(0x87,0xCE,0xEB),"skyblue","#87CEEB"},//129
 {(TColor)RGB(0x6A,0x5A,0xCD),"slateblue","#6A5ACD"},//130
 {(TColor)RGB(0x70,0x80,0x90),"slategray","#708090"},//131
 {(TColor)RGB(0x0,0x0,0x0),"slategrey","#000000"},//132
 {(TColor)RGB(0xFF,0xFA,0xFA),"snow","#FFFAFA"},//133
 {(TColor)RGB(0x00,0x0F,0x7F),"springgreen","#00F7F"},//134
 {(TColor)RGB(0x46,0x82,0xB4),"steelblue","#4682B4"},//135
 {(TColor)RGB(0xD2,0xB4,0x8C),"tan","#D2B48C"},//136
 {(TColor)RGB(0x00,0x80,0x80),"teal","#008080"},//137
 {(TColor)RGB(0xD8,0xBF,0xD8),"thistle","#D8BFD8"},//138
 {(TColor)RGB(0xFF,0x63,0x47),"tomato","#FF6347"},//139
 {(TColor)RGB(0x40,0xE0,0xD0),"turquoise","#40E0D0"},//140
 {(TColor)RGB(0xEE,0x82,0xEE),"violet","#EE82EE"},//141
 {(TColor)RGB(0xF5,0xDE,0xB3),"wheat","#F5DEB3"},//142
 {(TColor)RGB(0xFF,0xFF,0xFF),"white","#FFFFFF"},//143
 {(TColor)RGB(0xF5,0xF5,0xF5),"whitesmoke","#F5F5F5"},//144
 {(TColor)RGB(0xFF,0xFF,0x00),"yellow","#FFFF00"},//145
 {(TColor)RGB(0x9A,0xCD,0x32),"yellowgreen","#9ACD32"}//146
};
//---------------------------------------------------------------------------
#define web16(J,T) dWebColors->Shape_0##J##->Brush->Color = webcolor[T-1].color;
//==============================================================================
void color16()
{
 web16(1,8); web16(2,128); web16(3,53); web16(4,143); web16(5,101);
 web16(6,10); web16(7,118); web16(8,85); web16(9,55); web16(10,82);
 web16(11,137); web16(12,21); web16(13,86); web16(14,119); web16(15,103);
 web16(16,145);
}
//==============================================================================
#define web(T) dWebColors->Shape##T##->Brush->Color = webcolor[T-1].color;
//==============================================================================
void color146()
{
 web(1);  web(2);  web(3);  web(4);  web(5);  web(6);  web(7);  web(8);  web(9);  web(10);
 web(11); web(12); web(13); web(14); web(15); web(16); web(17); web(18); web(19); web(20);
 web(21); web(22); web(23); web(24); web(25); web(26); web(27); web(28); web(29); web(30);
 web(31); web(32); web(33); web(34); web(35); web(36); web(37); web(38); web(39); web(40);
 web(41); web(42); web(43); web(44); web(45); web(46); web(47); web(48); web(49); web(50);
 web(51); web(52); web(53); web(54); web(55); web(56); web(57); web(58); web(59); web(60);
 web(61); web(62); web(63); web(64); web(65); web(66); web(67); web(68); web(69); web(70);
 web(71); web(72); web(73); web(74); web(75); web(76); web(77); web(78); web(79); web(80);
 web(81); web(82); web(83); web(84); web(85); web(86); web(87); web(88); web(89); web(90);
 web(91); web(92); web(93); web(94); web(95); web(96); web(97); web(98); web(99); web(100);
 web(101); web(102); web(103); web(104); web(105); web(106); web(107); web(108); web(109); web(110);
 web(111); web(112); web(113); web(114); web(115); web(116); web(117); web(118); web(119); web(120);
 web(121); web(122); web(123); web(124); web(125); web(126); web(127); web(128); web(129); web(130);
 web(131); web(132); web(133); web(134); web(135); web(136); web(137); web(138); web(139); web(140);
 web(141); web(142); web(143); web(144); web(145); web(146);
}
//---------------------------------------------------------------------------
#define xweb2(T) dWebColors->ShapeSelectedColor->Brush->Color = webcolor[T-1].color;\
                 dWebColors->EditName->Text = webcolor[T-1].name; \
                 dWebColors->EditValue->Text = webcolor[T-1].value;
//------------------------------------------------------------------------------
#define xweb(T) dWebColors->ShapeSelectedColor->Brush->Color = webcolor[T-1].color;\
                dWebColors->EditName->Text = webcolor[T-1].name; \
                dWebColors->EditValue->Text = webcolor[T-1].value;\
                dWebColors->ButtonCancel->SetFocus();
//------------------------------------------------------------------------------
void __fastcall TdWebColors::FormCreate(TObject *Sender)
{
 color16(); color146(); xweb2(1);
}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape1MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(1);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape2MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(2);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape3MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(3);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape4MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(4);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape5MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(5);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape6MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(6);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape7MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(7);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape8MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(8);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape9MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(9);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape10MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(10);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape11MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(11);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape12MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(12);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape13MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(13);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape14MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(14);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape15MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(15);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape16MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(16);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape17MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(17);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape18MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(18);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape19MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(19);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape20MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(20);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape21MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(21);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape22MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(22);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape23MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(23);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape24MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(24);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape25MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(25);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape26MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(26);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape27MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(27);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape28MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(28);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape29MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(29);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape30MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(30);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape31MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(31);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape32MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(32);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape33MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(33);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape34MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(34);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape35MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(35);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape36MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(36);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape37MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(37);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape38MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(38);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape39MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(39);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape40MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(40);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape41MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(41);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape42MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(42);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape43MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(43);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape44MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(44);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape45MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(45);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape46MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(46);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape47MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(47);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape48MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(48);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape49MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(49);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape50MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(50);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape51MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(51);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape52MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(52);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape53MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(53);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape54MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(54);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape55MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(55);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape56MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(56);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape57MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(57);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape58MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(58);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape59MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(59);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape60MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(60);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape61MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(61);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape62MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(62);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape63MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(63);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape64MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(64);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape65MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(65);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape66MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(66);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape67MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(67);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape68MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(68);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape69MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(71);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape70MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(70);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape71MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(71);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape72MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(72);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape73MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(73);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape74MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(74);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape75MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(75);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape76MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(76);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape77MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(77);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape78MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(78);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape79MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(79);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape80MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(80);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape81MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(81);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape82MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(82);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape83MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(83);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape84MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(84);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape85MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(85);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape86MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(86);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape87MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(87);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape88MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(88);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape89MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(89);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape90MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(90);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape91MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(91);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape92MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(92);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape93MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(93);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape94MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(94);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape95MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(95);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape96MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(96);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape97MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(97);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape98MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(98);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape99MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(99);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape100MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(100);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape101MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(101);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape102MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(102);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape103MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(103);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape104MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(104);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape105MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(105);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape106MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(106);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape107MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(107);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape108MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(108);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape109MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(109);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape110MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(110);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape111MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(111);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape112MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(112);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape113MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(113);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape114MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(114);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape115MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(115);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape116MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(116);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape117MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(117);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape118MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(118);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape119MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(119);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape120MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(120);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape121MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(121);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape122MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(122);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape123MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(123);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape124MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(124);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape125MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(125);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape126MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(126);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape127MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(127);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape128MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(128);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape129MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(129);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape130MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(130);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape131MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(131);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape132MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(132);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape133MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(133);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape134MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(134);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape135MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(135);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape136MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(136);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape137MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(137);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape138MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(138);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape139MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(139);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape140MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(140);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape141MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(141);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape142MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(142);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape143MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(143);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape144MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(144);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape145MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(145);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape146MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(146);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Button1Click(TObject *Sender)
{
 AnsiString text;
 text = "'";
 text += dWebColors->EditName->Text;
 text += "' = '";
 text += dWebColors->EditValue->Text;
 text += "'";
 if(!Form1->RichEdit1->ReadOnly)
 ::SendMessage(Form1->RichEdit1->Handle, EM_REPLACESEL, 0, (LPARAM)text.c_str());
 ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::ComboBox1Change(TObject *Sender)
{
 //switch(ComboBox1->ItemIndex)
 //{
 // case 0: color146(); break;
 //}
}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_01MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(8);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_02MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(128);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_03MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(53);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_04MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(143);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_05MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(101);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_06MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(10);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_07MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(118);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_08MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(85);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_09MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(55);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_010MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(82);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_011MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(137);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_012MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(21);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_013MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(86);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_014MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(119);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_015MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(103);}
//---------------------------------------------------------------------------
void __fastcall TdWebColors::Shape_016MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y){xweb(145);}
//---------------------------------------------------------------------------

